<?php
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
    exit;
}

$upload_dir = wp_get_upload_dir();
$folder_to_delete = $upload_dir['basedir'] . '/pc-nch';

if ( is_dir( $folder_to_delete ) ) {
    wp_delete_directory( $folder_to_delete );
}

global $wpdb;

$options = $wpdb->get_results( 
    $wpdb->prepare( 
        "SELECT option_name FROM {$wpdb->options} WHERE option_name LIKE %s", 
        'pcnch_%' 
    ) 
);

if ( ! empty( $options ) ) {
    foreach ( $options as $option ) {
        delete_option( $option->option_name );
    }
}

$transients = $wpdb->get_results( 
    $wpdb->prepare( 
        "SELECT option_name FROM {$wpdb->options} WHERE option_name LIKE %s", 
        '_transient_pcnch_%' 
    ) 
);

if ( ! empty( $transients ) ) {
    foreach ( $transients as $transient ) {
        delete_option( $transient->option_name );
    }
}

$transient_timeouts = $wpdb->get_results( 
    $wpdb->prepare( 
        "SELECT option_name FROM {$wpdb->options} WHERE option_name LIKE %s", 
        '_transient_timeout_pcnch_%' 
    ) 
);

if ( ! empty( $transient_timeouts ) ) {
    foreach ( $transient_timeouts as $timeout ) {
        delete_option( $timeout->option_name );
    }
}